All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.dataselectors.calculateditems
Class AdvancedExpressionEditDialog

    com.sas.swing.visuals.dataselectors.calculateditems.AdvancedExpressionEditDialog

All Implemented Interfaces:
  AdvancedCalculatedItemEditorInterface, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

    public class AdvancedExpressionEditDialog

Description: Copyright: Copyright (c) 2002 Company: SAS

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `RB_KEY`

Fields inherited from class com.sas.swing.visuals.dataselectors.calculateditems.AdvancedCalculatedItemEditDialog
`_canSaveInvalidExpressions, _expressionInvalidTitle, _expressionOkMessage, _expressionOkTitle, _expressionWarningTitle, _isExpressionValid, _maxMaxOutputObservations, _reportToStdErr, _userSetMaxOutputObservations, actionListener, aSymWindow, bCancel, bHelp, bOK, m_advCalcPanel, m_calcItem, m_errorMessageDialogTitle, m_errorMessageNameRequired, m_errorMessageSyntaxInvalid, m_existingPane, m_javaHelp, m_labelCancelButton, m_labelDescription, m_labelExpression, m_labelHelpButton, m_labelName, m_labelOkButton, m_labelTitle, m_newPanel, m_resizeListener, m_spacingBetweenButtons, m_spacingDialogBoxMargin, m_spacingLastInGroupBox, m_success, m_warningMessageIsItOkToSave`

Fields inherited from interface com.sas.swing.visuals.dataselectors.calculateditems.AdvancedCalculatedItemEditorInterface
`CANCEL, OK`

Constructor Summary
`AdvancedExpressionEditDialog(java.awt.Frame parent, boolean modal, com.sas.iquery.metadata.expr.ExpressionInterface expression, com.sas.iquery.metadata.business.BusinessModel businessModel, SASJavaHelp javaHelp)`
`AdvancedExpressionEditDialog(java.awt.Frame parent, boolean modal, com.sas.iquery.metadata.expr.ExpressionInterface expression, com.sas.iquery.metadata.business.BusinessModel businessModel, SASJavaHelp javaHelp, CalculatedObjectFactoryInterface.ImageIconFactoryInterface imageFactory)` Constructor for AdvancedExpressionEditDialog.

Method Summary
`com.sas.iquery.metadata.expr.ExpressionInterface` | `getExpression()`

Methods inherited from class com.sas.swing.visuals.dataselectors.calculateditems.AdvancedCalculatedItemEditDialog
`_layoutNewPanel, _layoutWidgets, addAllListeners, addKeyListeners, bCancel_Action, bOK_Action, Dialog1_WindowClosing, dispose, getCalculatedItem, getMaxOutputObservations, getRawText, getReturnValue, getValidateActionListener, init, isExpressionValid, isSaveInvalidExpressionsEnabled, isValidationButtonVisible, newNmemonicButton, removeAllListeners, reportAndCheckOkToContinue, reportAndCheckOkToContinue, reportAndDisplayError, reportAndDisplayError, reportAndDisplayError, reportAndDisplayError, reportAndDisplayError, reportAndDisplayError, reportInternalError, reportInternalError, setCalculatedItem, setMaxOutputObservations, setNameLabel, setSaveInvalidExpressionsEnabled, setTypeEnabled, setupHelpForCalcItemDialog, setValidateActionListener, setValidationButtonVisible`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

Constructor Detail

### AdvancedExpressionEditDialog

    public AdvancedExpressionEditDialog(java.awt.Frame parent,
                                        boolean modal,
                                        com.sas.iquery.metadata.expr.ExpressionInterface expression,
                                        com.sas.iquery.metadata.business.BusinessModel businessModel,
                                        SASJavaHelp javaHelp,
                                        CalculatedObjectFactoryInterface.ImageIconFactoryInterface imageFactory)

  Constructor for AdvancedExpressionEditDialog.

  Parameters:
    `parent` -
    `modal` -
    `calcItem` -
    `query` -
    `hb` -
    `imageFactory` -

### AdvancedExpressionEditDialog

    public AdvancedExpressionEditDialog(java.awt.Frame parent,
                                        boolean modal,
                                        com.sas.iquery.metadata.expr.ExpressionInterface expression,
                                        com.sas.iquery.metadata.business.BusinessModel businessModel,
                                        SASJavaHelp javaHelp)

Method Detail

### getExpression

    public com.sas.iquery.metadata.expr.ExpressionInterface getExpression()

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.